Bug 65076 - VIEWING: System "hangs/loops" when gets to bottom of a document page when scrolling through viewing and editing a document
Summary: VIEWING: System "hangs/loops" when gets to bottom of a document page when scr...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-28 11:14 UTC by Terry Makinson
Modified: 2015-02-11 20:03 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Terry Makinson 2013-05-28 11:14:36 UTC
Problem description: When using either up or down arrow keys whilst viewing a document when get to either top or bottom of page system suddenly "hangs" for a couple of minutes before allowing me to scroll onto next or previous page.
After about 1 minute of apparent non activity (won't let me do anything imbetween)the display screen goes blank, then about 30 seconds later comes back again but still appently "looping", then goes blank at least one more time before eventually coming back and allowing you to move on to another page.
Happens on all pages of said document not just a particular page. Never happened with same document using an older version of LO and have since reverted back to version 3.6.6 and doesn't happen with that version.
What happens is similar to what happens when I "save" a document, in that it takes a while to save a large document, and whilst doing so screen goes blank a few times until save has finished. My save interval by the way is set at 60 minutes,
so it is not actually saving although it appears as though it is each time I get to top/bottom of a page.

I have just purchased a new W8 I7 16MBRAM chip laptop to replace an old model running W7 professional and which had LO 3.6 on it.
I decided rather than copy LO 3.6 from my old PC I would download the latest 4.0.3.3 version, and just copy my .odt documents across.
In editing a book I was writing I immediately got the problem referred to when I tried to edit it. Not tried any other documents yet. 

Steps to reproduce:
1. ....
2. ....
3. ....

Current behavior:

Expected behavior:

              
Operating System: Windows 8
Version: 4.0.3.3 release
Comment 1 Jorendc 2013-05-31 12:06:09 UTC
Hi Terry,

First of all thanks for reporting. Does your file contain a lot of images/comments/tables/ ... etc?

Kind regards,
Joren
Comment 2 Terry Makinson 2013-05-31 16:25:00 UTC
Hi,
Yes my document contains approximately 200 images
(it is an illustrated autobiography), but it always has, ever since I
started it some 2 years ago,
and that is why I set the number of objects to 220 in the Tools/Options Menu


Have always had a few problems with previous versions of LO Writer due to
image handling,
it quite often used to "drop" images for no apparent reason, and the number
of pages would
vary each time the document was loaded due to it dropping different images
each time.

Not done it as much with more recent versions, but it still does with 3.6.6
which I have just gone back to.
PS. To try and combat this I reduced the number of steps to 20, and
increased the graphics cache to the maximum 256MB,
and set memory size per object to 20MB.

Regards
Terry
 
 
 
 
 
-------Original Message-------
 
From: bugzilla-daemon@freedesktop.org
Date: 05/31/13 13:06:11
To: terrymakinson@gmail.com
Subject: [Bug 65076] VIEWING: System "hangs/loops" when gets to bottom of a
document page when scrolling through viewing and editing a document
 
Jorendc changed bug 65076 
WhatRemovedAdded
CC  joren.libreoffice@telenet.be 

Comment # 1 on bug 65076 from Jorendc 
Hi Terry,

First of all thanks for reporting. Does your file contain a lot of
images/comments/tables/ ... etc?

Kind regards,
Joren


You are receiving this mail because: 
You reported the bug.
Comment 3 Jorendc 2013-05-31 16:56:15 UTC
Hi,

Thanks for your reply. But please browse to your bug and leave a comment that way, instead of replying the emails you get :-). That saves us a lot of comment-size etc (you'll see what I mean when you browse to your bug). https://bugs.freedesktop.org/show_bug.cgi?id=65076

(In reply to comment #2)
> Hi,
> Yes my document contains approximately 200 images
>[...]

Okay, I see. 

> Have always had a few problems with previous versions of LO Writer due to
> image handling,
> it quite often used to "drop" images for no apparent reason, and the number
> of pages would
> vary each time the document was loaded due to it dropping different images
> each time.

By 'dropping', you mean "not displaying it anymore", or just "shifting it down, so it starts on another page"? Just for the info.
 
> Not done it as much with more recent versions, but it still does with 3.6.6
> which I have just gone back to.

Okay, so this is a regression. In that case we can do 2 things I think:
1) get access to a Linux machine where you can run a bisect on. In that case we can find where the regression is introduced, to narrow the problem down.
2) Share the document so we can test it
---because it is an illustrated autobiography I think that isn't a first option of course. But you don't need to share it publicly. In that case you can send it too me, and we/I make sure this file doesn't reach non-necessary people in the process of fixing this bug.

Kind regards,
Joren
Comment 4 QA Administrators 2015-01-10 18:07:04 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 10/01/2015
Comment 5 QA Administrators 2015-02-11 19:57:17 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-02-11
Comment 6 QA Administrators 2015-02-11 20:03:53 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 

Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-02-11